Package com.trilead.ssh2.signature

# Class DSASHA1Verify

java.lang.Object
com.trilead.ssh2.signature.DSASHA1Verify

public class DSASHA1Verify extends Object
DSASHA1Verify.

## Constructor Summary

Constructors
Constructor
Description
`DSASHA1Verify()`

## Method Summary

Modifier and Type
Method
Description
`static DSAPublicKey`
`decodeSSHDSAPublicKey(byte[] key)`
`static DSASignature`
`decodeSSHDSASignature(byte[] sig)`
`static byte[]`
`encodeSSHDSAPublicKey(DSAPublicKey pk)`
`static byte[]`
`encodeSSHDSASignature(DSASignature ds)`
`static DSASignature`
`generateSignature(byte[] message, DSAPrivateKey pk, SecureRandom rnd)`
`static boolean`
`verifySignature(byte[] message, DSASignature ds, DSAPublicKey dpk)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSASHA1Verify

public DSASHA1Verify()

## Method Details

### decodeSSHDSAPublicKey

public static DSAPublicKey decodeSSHDSAPublicKey(byte[] key) throws IOException

Throws:
  `IOException`

### encodeSSHDSAPublicKey

public static byte[] encodeSSHDSAPublicKey(DSAPublicKey pk) throws IOException

Throws:
  `IOException`

### encodeSSHDSASignature

public static byte[] encodeSSHDSASignature(DSASignature ds)

### decodeSSHDSASignature

public static DSASignature decodeSSHDSASignature(byte[] sig) throws IOException

Throws:
  `IOException`

### verifySignature

public static boolean verifySignature(byte[] message, DSASignature ds, DSAPublicKey dpk) throws IOException

Throws:
  `IOException`

### generateSignature

public static DSASignature generateSignature(byte[] message, DSAPrivateKey pk, SecureRandom rnd)